@keyframes IncreaseWidth128pxTo80 {
    from {
        width: 128px;
    }

    to {
        width: 80%;
    }
}

@-o-keyframes IncreaseWidth128pxTo80 {
    from {
        width: 128px;
    }

    to {
        width: 80%;
    }
}

@-moz-keyframes IncreaseWidth128pxTo80 {
    from {
        width: 128px;
    }

    to {
        width: 80%;
    }
}

@-webkit-keyframes IncreaseWidth128pxTo80 {
    from {
        width: 128px;
    }

    to {
        width: 80%;
    }
}

@keyframes IncreaseWidth64pxTo40 {
    from {
        width: 64px;
    }

    to {
        width: 40%;
    }
}

@-o-keyframes IncreaseWidth64pxTo40 {
    from {
        width: 64px;
    }

    to {
        width: 40%;
    }
}

@-moz-keyframes IncreaseWidth64pxTo40 {
    from {
        width: 64px;
    }

    to {
        width: 40%;
    }
}

@-webkit-keyframes IncreaseWidth64pxTo40 {
    from {
        width: 64px;
    }

    to {
        width: 40%;
    }
}

@keyframes IncreaseWidth64pxTo60 {
    from {
        width: 64px;
    }

    to {
        width: 60%;
    }
}

@-o-keyframes IncreaseWidth64pxTo60 {
    from {
        width: 64px;
    }

    to {
        width: 60%;
    }
}

@-moz-keyframes IncreaseWidth64pxTo60 {
    from {
        width: 64px;
    }

    to {
        width: 60%;
    }
}

@-webkit-keyframes IncreaseWidth64pxTo60 {
    from {
        width: 64px;
    }

    to {
        width: 60%;
    }
}

@keyframes IncreaseWidth0To100 {
    from {
        width: 0%;
    }

    to {
        width: 100%;
    }
}

@-o-keyframes IncreaseWidth0To100 {
    from {
        width: 0%;
    }

    to {
        width: 100%;
    }
}

@-moz-keyframes IncreaseWidth0To100 {
    from {
        width: 0%;
    }

    to {
        width: 100%;
    }
}

@-webkit-keyframes IncreaseWidth0To100 {
    from {
        width: 0%;
    }

    to {
        width: 100%;
    }
}

@keyframes DecreaseWidth40To64px {
    from {
        width: 40%;
    }

    to {
        width: 64px;
    }
}

@-o-keyframes DecreaseWidth40To64px {
    from {
        width: 40%;
    }

    to {
        width: 64px;
    }
}

@-moz-keyframes DecreaseWidth40To64px {
    from {
        width: 40%;
    }

    to {
        width: 64px;
    }
}

@-webkit-keyframes DecreaseWidth40To64px {
    from {
        width: 40%;
    }

    to {
        width: 64px;
    }
}

@keyframes DecreaseWidth60To64px {
    from {
        width: 60%;
    }

    to {
        width: 64px;
    }
}

@-o-keyframes DecreaseWidth60To64px {
    from {
        width: 60%;
    }

    to {
        width: 64px;
    }
}

@-moz-keyframes DecreaseWidth60To64px {
    from {
        width: 60%;
    }

    to {
        width: 64px;
    }
}

@-webkit-keyframes DecreaseWidth60To64px {
    from {
        width: 60%;
    }

    to {
        width: 64px;
    }
}

@keyframes DecreaseWidth80to128px {
    from {
        width: 80%;
    }

    to {
        width: 128px;
    }
}

@-o-keyframes DecreaseWidth80to128px {
    from {
        width: 80%;
    }

    to {
        width: 128px;
    }
}

@-moz-keyframes DecreaseWidth80to128px {
    from {
        width: 80%;
    }

    to {
        width: 128px;
    }
}

@-webkit-keyframes DecreaseWidth80to128px {
    from {
        width: 80%;
    }

    to {
        width: 128px;
    }
}

@keyframes DecreaseWidth100To0 {
    from {
        width: 100%;
    }

    to {
        width: 0%;
    }
}

@-o-keyframes DecreaseWidth100To0 {
    from {
        width: 100%;
    }

    to {
        width: 0%;
    }
}

@-moz-keyframes DecreaseWidth100To0 {
    from {
        width: 100%;
    }

    to {
        width: 0%;
    }
}

@-webkit-keyframes DecreaseWidth100To0 {
    from {
        width: 100%;
    }

    to {
        width: 0%;
    }
}

.anim {
    &__width {
        &--increase-128px-to-80 {
            animation: IncreaseWidth128pxTo80 1s ease-out 2.6s 1 forwards;
            -webkit-animation: IncreaseWidth128pxTo80 1s ease-out 2.6s 1 forwards;
            -moz-animation: IncreaseWidth128pxTo80 1s ease-out 2.6s 1 forwards;
            -o-animation: IncreaseWidth128pxTo80 1s ease-out 2.6s 1 forwards;
        }

        &--decrease-80-to-128px {
            animation: DecreaseWidth80to128px 1s ease-out 2.6s 1 forwards;
            -webkit-animation: DecreaseWidth80to128px 1s ease-out 2.6s 1 forwards;
            -moz-animation: DecreaseWidth80to128px 1s ease-out 2.6s 1 forwards;
            -o-animation: DecreaseWidth80to128px 1s ease-out 2.6s 1 forwards;
        }

        &--increase-64px-to-40 {
            animation: IncreaseWidth64pxTo40 0.75s ease-out 0s 1 forwards;
            -webkit-animation: IncreaseWidth64pxTo40 0.75s ease-out 0s 1 forwards;
            -moz-animation: IncreaseWidth64pxTo40 0.75s ease-out 0s 1 forwards;
            -o-animation: IncreaseWidth64pxTo40 0.75s ease-out 0s 1 forwards;
        }

        &--decrease-40-to-64px {
            animation: DecreaseWidth40To64px 0.75s ease-out 0s 1 forwards;
            -webkit-animation: DecreaseWidth40To64px 0.75s ease-out 0s 1 forwards;
            -moz-animation: DecreaseWidth40To64px 0.75s ease-out 0s 1 forwards;
            -o-animation: DecreaseWidth40To64px 0.75s ease-out 0s 1 forwards;
        }

        &--increase-64px-to-60 {
            animation: IncreaseWidth64pxTo60 0.75s ease-out 0s 1 forwards;
            -webkit-animation: IncreaseWidth64pxTo60 0.75s ease-out 0s 1 forwards;
            -moz-animation: IncreaseWidth64pxTo60 0.75s ease-out 0s 1 forwards;
            -o-animation: IncreaseWidth64pxTo60 0.75s ease-out 0s 1 forwards;
        }

        &--decrease-60-to-64px {
            animation: DecreaseWidth60To64px 0.75s ease-out 0s 1 forwards;
            -webkit-animation: DecreaseWidth60To64px 0.75s ease-out 0s 1 forwards;
            -moz-animation: DecreaseWidth60To64px 0.75s ease-out 0s 1 forwards;
            -o-animation: DecreaseWidth60To64px 0.75s ease-out 0s 1 forwards;
        }
    }
}